Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/timew: new aport

From: Matthieu Monnier <matthieu.monnier_at_enalean.com>
Date: Wed, 19 Oct 2016 23:09:16 +0200

http://taskwarrior.org/

Timewarrior is a command line time tracking application.
---
 testing/timew/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/timew/APKBUILD
diff --git a/testing/timew/APKBUILD b/testing/timew/APKBUILD
new file mode 100644
index 0000000..5741ef9
--- /dev/null
+++ b/testing/timew/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Matthieu Monnier <matthieu.monnier_at_enalean.com>
+# Maintainer: Matthieu Monnier <matthieu.monnier_at_enalean.com>
+pkgname=timew
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="Timewarrior is a command line time tracking application."
+url="http://taskwarrior.org/"
+arch="all"
+license="MIT"
+depends=""
+makedepends="cmake"
+install=""
+subpackages="$pkgname-doc"
+source="http://taskwarrior.org/download/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+    cmake . -DCMAKE_BUILD_TYPE=release \
+            -DCMAKE_INSTALL_PREFIX=/usr \
+        || return 1
+    make || return 1
+}
+
+package() {
+	cd "$builddir"
+    make DESTDIR="$pkgdir" install || return 1 
+}
+
+md5sums="edd5f8a064e5c8f030324e3d98b79d54  timew-1.0.0.tar.gz"
+sha256sums="ac027910e1e8365bdd218a8b42389b26d017d38d3c96516c408db6d5a44e0bb5  timew-1.0.0.tar.gz"
+sha512sums="0539ff93b2375c154d126c39aa84f21b57b62f51c220c80b2e323a4d6aefd2eda6f87c04112e096222102b019ee3683a78b9ee9d6fbf6736d4a34c529f6152f5  timew-1.0.0.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Oct 19 2016 - 23:09:16 GMT